Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/DataType.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/DataType.cs	(revision 5286)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/DataType.cs	(revision 5295)
@@ -28,4 +28,6 @@
     public string Name { get; set; }
     [DataMember]
+    public string TypeName { get; set; }
+    [DataMember]
     public string SqlName { get; set; }
     [DataMember]
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Filters/Filter.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Filters/Filter.cs	(revision 5286)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Filters/Filter.cs	(revision 5295)
@@ -25,5 +25,4 @@
   [DataContract]
   [KnownType(typeof(OrdinalComparisonDateTimeFilter))]
-  [KnownType(typeof(OrdinalComparisonIntFilter))]
   [KnownType(typeof(OrdinalComparisonLongFilter))]
   [KnownType(typeof(SetComparisonStringFilter))]
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Filters/OrdinalComparisonIntFilter.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Filters/OrdinalComparisonIntFilter.cs	(revision 5286)
+++ 	(revision )
@@ -1,35 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Runtime.Serialization;
-
-namespace HeuristicLab.Services.OKB.DataTransfer {
-  [DataContract]
-  public class OrdinalComparisonIntFilter : OrdinalComparisonFilter {
-    [DataMember]
-    public int Value { get; set; }
-
-    public OrdinalComparisonIntFilter(string filterTypeName, string label) {
-      FilterTypeName = filterTypeName;
-      Label = label;
-    }
-  }
-}
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/HeuristicLab.Services.OKB.DataTransfer-3.3.csproj
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/HeuristicLab.Services.OKB.DataTransfer-3.3.csproj	(revision 5286)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/HeuristicLab.Services.OKB.DataTransfer-3.3.csproj	(revision 5295)
@@ -76,5 +76,4 @@
     <Compile Include="Filters\OrdinalComparison.cs" />
     <Compile Include="Filters\EqualityComparison.cs" />
-    <Compile Include="Filters\OrdinalComparisonIntFilter.cs" />
     <Compile Include="Filters\SetComparisonStringFilter.cs" />
     <Compile Include="Filters\Filter.cs" />
Index: branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Run.cs
===================================================================
--- branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Run.cs	(revision 5286)
+++ branches/OKB/HeuristicLab.Services.OKB.DataTransfer/3.3/Run.cs	(revision 5295)
@@ -28,7 +28,7 @@
   public class Run : OKBItem {
     [DataMember]
-    public int RandomSeed { get; set; }
+    public long RandomSeed { get; set; }
     [DataMember]
-    public DateTime? FinishedDate { get; set; }
+    public DateTime CreatedDate { get; set; }
     [DataMember]
     public long ExperimentId { get; set; }
